Method: projects.locations.endpoints.queryAccount

Queries all the information stored about an account in the network. The returned account details may vary between calls, because an endpoint may route requests to different validators within the network and region, and the validators may not be at the same round ID at any given time.

HTTP request


GET https://universalledger.googleapis.com/v1/{endpoint=projects/*/locations/*/endpoints/*}:queryAccount

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
endpoint

string

Required. The endpoint to serve the request. Format: projects/{project}/locations/{location}/endpoints/{endpoint} The location is a region.

Query parameters

Parameters
accountId

string

Required. The account ID to get information about. The value is limited to 60 characters.

roundId

string (int64 format)

Optional. The ID of the execution round (similar to block "height") at which to request data. The returned account information will be accurate for the world state at this execution round. If unspecified, uses the latest finalized round as known by the serving validator. The state at a given round ID is always consistent and canonical.

Request body

The request body must be empty.

Response body

Response message for endpoints.queryAccount.

If successful, the response body contains data with the following structure:

JSON representation
{
  "account": {
    object (Account)
  }
}
Fields
account

object (Account)

The account information, along with the height at which it was obtained.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.